# -*- coding: utf-8 -*- 
# @Time    : 04/15/2024 
# @Author  : nzooherd 
# @File    : referral.py 
# @Software: Visual Studio Code


from typing import Dict
from template import BaseTemplate

class ReferralTemplate(BaseTemplate):

    def __init__(self, link: str) -> None:
        super().__init__()
        self.value = f"""
{self.head}

您的邀请链接：{link}

别人通过您的邀请链接注册成功，您将获得 *1* 元宝。
"""
    
    def template(self) -> Dict[str, str]:
        return {"markdown": self.value}

class ReferralSuccessTemplate(BaseTemplate):

    def __init__(self, new_userid: str, balance: int) -> None:
        super().__init__()
        self.value = f"""
{self.head}

系统提示:

🎉 你邀请的好友 {new_userid} 已经注册成功！

💰 你的元宝余额：{balance}
"""
    
    def template(self) -> str:
        return {"markdown": self.value}